# Database
#mysql
spring.datasource.url=jdbc:mysql://localhost/db_crud_practice
spring.datasource.username=root
spring.datasource.password=12345
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
spring.jpa.database-platform=org.hibernate.dialect.MySQL8Dialect
# spring.jpa.hibernate.ddl-auto=create-drop
logging.level.org.hibernate.SQL=debug

# Context path
# server.servlet.context-path=/pragma-client/api

# Files confid
spring.servlet.multipart.max-file-size=128MB
spring.servlet.multipart.max-request-size=128MB
spring.servlet.multipart.enabled=true

# Needed to solve a bug with swagger
spring.mvc.pathmatch.matching-strategy = ANT_PATH_MATCHER